PL/php - Bug #4978

Memory leak in call handler
12/05/2005 07:32 AM - Alvaro Herrera

Status: Closed Start date:

Priority: High Due date:

Assignee: Alvaro Herrera % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Release 1.1

Resolution: fixed

Description

The non-trigger function handler has some kind of memory leak. Apparently the args, argc and funcname zvals are being leaked,
and maybe the return value zval as well. This is a minor leak, amounting to between 48 and 96 bytes per call, but it's noticeable on
long sessions.

History

#1 - 12/05/2005 07:35 AM - Alvaro Herrera
- Status changed from New to Closed

- Resolution set to fixed

Fixed in r31.

#2 - 05/29/2006 08:59 AM - bford -
Keep a good job up! http:/quick-adult-links.com

#3 - 06/03/2006 01:02 AM - bford -

<div style="overflow:auto; height: 1lpx;">

<a href="http://www.free-space.at/perfume/morning-song-perfume-bath-and-body-works.html">
morning song perfume bath and body works</a>

<a href="http://freett.com/cologne/perfume-and-cologne.html">perfume and cologne</a>

<a href="http://freett.com/bed/bed-bunk.html">bed bunk</a>

<a href="http://www.free-space.at/perfume/antique-perfume-bottles.html">antique perfume bottles</a>
<a href="http://freett.com/bed/sofa-bed-mattress.html">sofa bed mattress</a>

<a href="http://freett.com/bed/wood-canopy-bed.html">wood canopy bed</a>

<a href="http://www.free-space.at/perfume/bvlgari-perfume.html">bvlgari perfume</a>

<a href="http://www.free-space.at/perfume/celine-dion-perfume.html">celine dion perfume</a>
<a href="http://freett.com/bed/chair-to-bed-conversion.html">chair to bed conversion</a>

<a href="http://freett.com/cologne/angel-cologne.html">angel cologne</a>

<a href="http://freett.com/cologne/polo-blue-cologne.html">polo blue cologne</a>

<a href="http://freett.com/bed/bed-bath-linens.html">bed bath linens</a>

<a href="http://www.free-space.at/perfume/revlion-perfume.html">revlon perfume</a>

<a href="http://freett.com/bed/leather-sofa-bed.html">leather sofa bed</a>

<a href="http://freett.com/bed/tanning-bed-lamp.html">tanning bed lamp</a>

<a href="http://freett.com/bed/bed-tanning.html">bed tanning</a>

<a href="http://freett.com/bed/tanning-bed-lamp.html">tanning bed lamp</a>

<a href="http://freett.com/bed/satin-water-bed-sheet.html">satin water bed sheet</a>

<a href="http://freett.com/bed/satin-bed-linens.html">satin bed linens</a>

<a href="http://www.free-space.at/perfume/paris-hilton-perfume.html">paris hilton perfume</a>
<a href="http://freett.com/bed/adjustable-air-bed.html">adjustable air bed</a>

<a href="http://freett.com/bed/canopy-bed.html">canopy bed</a>

<a href="http://freett.com/bed/iron-twin-bed.html">iron twin bed</a>

<a href="http://www.free-space.at/perfume/victorias-secret-perfume.html">victorias secret perfume</a>
<a href="http://www.free-space.at/perfume/coco-chanel-perfume.html">coco chanel perfume</a>
